## org.eclipse.datatools.sqltools.routineeditor.ui
Class DataSourceExplorerLinkHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.DataSourceExplorerLinkHelper

All Implemented Interfaces:
  org.eclipse.ui.navigator.ILinkHelper

    public class DataSourceExplorerLinkHelper

extends java.lang.Object
implements org.eclipse.ui.navigator.ILinkHelper

Author:
  David Cui

Constructor Summary
`DataSourceExplorerLinkHelper()`

Method Summary
`void` `activateEditor(org.eclipse.ui.IWorkbenchPage aPage, org.eclipse.jface.viewers.IStructuredSelection aSelection)`
`org.eclipse.jface.viewers.IStructuredSelection` `findSelection(org.eclipse.ui.IEditorInput anInput)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceExplorerLinkHelper

    public DataSourceExplorerLinkHelper()

Method Detail

### findSelection

    public org.eclipse.jface.viewers.IStructuredSelection findSelection(org.eclipse.ui.IEditorInput anInput)

  Specified by:
    `findSelection` in interface `org.eclipse.ui.navigator.ILinkHelper`

### activateEditor

    public void activateEditor(org.eclipse.ui.IWorkbenchPage aPage,
                               org.eclipse.jface.viewers.IStructuredSelection aSelection)

  Specified by:
    `activateEditor` in interface `org.eclipse.ui.navigator.ILinkHelper`